Subject: Re: [PATCH] bridge: assign random address

From: Stephen Hemminger <[email-masked]>
Date: Mon, 17 Dec 2007 08:56:38 -0800

On Sun, 16 Dec 2007 14:29:15 -0800
Andrew Morton <[email-masked]> wrote:

> On Sun, 16 Dec 2007 13:37:17 -0800 (PST) David Miller <[email-masked]> wrote:
> 
> > From: Stephen Hemminger <[email-masked]>
> > Date: Tue, 11 Dec 2007 15:48:35 -0800
> > 
> > > Subject: Re: [PATCH] bridge: assign random address
> > 
> > "bridge" should all-caps and in brackets,
> 
> No, "bridge" should not be in [].  Lots of people's patch-receiving scripts
> assume that any text in [] is to be removed as the patch is committed.  It
> contains text which is only relevant to the particular email which carried
> the patch.  Stuff like "patch" and "4/5" and "linux-2.6.23", etc.
> 
> > "assign random address"
> > should be capitalized like a proper english sentence with a period at
> > the end.
> 
> Actually I usually remove the caps and the waste-of-space period, but
> that's much less important than the brackets abuse.  The bracket convention
> is quite useful and I've often wondered why I need to edit the patch title
> when I merge up patches from net developers ;)
> 

I try to follow the title convention that Jeff was promoting.

It works well because he is dealing with many different drivers.

-- 
Stephen Hemminger <[email-masked]>